SHUTDOWN(8)

NAZWA
shutdown - zatrzymuje, wyłącza lub przeładowuje komputer

SKŁADNIA

shutdown [OPCJE...] [CZAS] [KOMUNIKAT-WALL...]

OPIS

shutdown służy do zatrzymania, wyłączenia lub przeładowania komputera.

Pierwszym argumentem jest łańcuch oznaczający czas (zwykle now). Opcjonalnie, można po nim podać komunikat wall, który przed wyłączeniem zostanie wysłany do wszystkich zalogowanych użytkowników.

Łańcuch oznaczający CZAS może przyjąć postać gg:mm - wyłączenie nastąpi wówczas o podanym czasie, przy czym godzinę należy podać w formacie 24 godzinnym. Alternatywą jest składnia +m - polecenie zostanie wykonane po upływie podanej liczby minut. Słowo now jest aliasem +0, tzn. natychmiastowego wyłączenia. Jeśli nie poda się argumentu czasu, przyjmowane jest +1.

Proszę zauważyć, że aby móc podać KOMUNIKAT-WALL, konieczne jest podanie również argumentu oznaczającego czas.

Jeśli użyje się argumentu czasu, 5 minut przed wyłączeniem tworzony jest plik /run/nologin, aby uniemożliwić nowe zalogowania się.

OPCJE

Obsługiwane są następujące opcje:

--help
    Wyświetla krótki komunikat pomocy i wychodzi.

-H, --halt
    Zatrzymuje komputer.

-P, --poweroff
    Wyłącza komputer (domyślnie).

-r, --reboot
    Przeładowuje komputer.

-h
    Jak --poweroff, lecz nie przesłania akcji do podjęcia jeśli jest to "halt". E.g. shutdown --reboot -h oznacza "poweroff" (wyłączenie), ale shutdown --halt -h oznacza "halt" (zatrzymanie).

-k
    Nie zatrzymuje, wyłącza ani przeładowuje komputera, wysyła jedynie komunikat wall.

--no-wall
    Nie wysyła komunikatu wall przed zatrzymaniem, wyłączeniem lub przeładowaniem.

-c
    Anuluje trwający proces wyłączania. Opcji można użyć, aby anulować wywołanie shutdown z argumentem CZASU innym niż +0 lub now.

--show
    Pokazuje informacje o oczekującym wyłączeniu (jeśli takie istnieje), wraz z pozostałym czasem.

    Dodane w wersji 250.

STATUS ZAKOŃCZENIA

W przypadku powodzenia zwracane jest 0, w razie błędu kod jest niezerowy.

ZGODNOŚĆ

Polecenie shutdown w poprzednich systemach init (w tym sysvinit) domyślnie wychodziło do trybu jednego użytkownika, zamiast wyłączać komputer. Aby przejść do trybu jednego użytkownika należy wykonać polecenie systemctl rescue.

ZOBACZ TAKŻE

systemd(1), systemctl(1), halt(8), wall(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.